#### D.5.12.20 computemcm

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Usage:
  computemcm(Eolist); Eolist list

Return:
  an integer, the least common multiple of the denominators of the E-orders

Note:
  Make the same as lcmofall but for one chart. NECESSARY BECAUSE THE E-ORDERS ARE OF TYPE NUMBER!!

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1..2)),dp;
    ideal J=x(1)^3-x(1)*x(2)^3;
    list L=Eresol(J);   // 8 charts, rational exponents
    L[8][2][2];         // maximal E-order at the first chart
    ==> [1]:
    ==> 3
    ==> [2]:
    ==> 9/2
    computemcm(L[8][2][2]);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.